Name:           maven-invoker
Version:        2.2
Release:        9
Summary:        Fires a Maven build in a new JVM
License:        ASL 2.0
URL:            http://maven.apache.org/shared/maven-invoker/
Source0:        http://repo1.maven.org/maven2/org/apache/maven/shared/%{name}/%{version}/%{name}-%{version}-source-release.zip

Patch1:         %{name}-MSHARED-279.patch

BuildArch:      noarch
BuildRequires:  maven-antrun-plugin maven-clean-plugin maven-local
BuildRequires:  plexus-containers-component-metadata plexus-utils
BuildRequires:  plexus-containers-component-annotations junit maven-shared

Provides:       %{name}-javadoc = %{version}-%{release}
Obsoletes:      %{name}-javadoc < %{version}-%{release}

%description
This API is concerned with firing a Maven build in a new JVM. It accomplishes
its task by building up a conventional Maven command line from options given in
the current request, along with those global options specified in the invoker
itself. Once it has the command line, the invoker will execute it, and capture
the resulting exit code or any exception thrown to signal a failure to execute.
Input/output control can be specified using an InputStream and up to two
InvocationOutputHandlers.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%mvn_build

%install
%mvn_install

%files
%defattr(-,root,root)
%doc NOTICE
%license LICENSE
%{_datadir}/java/*
%{_datadir}/javadoc/*
%{_datadir}/maven-poms/*
%{_datadir}/maven-metadata/*

%changelog
* Tue Dec 10 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.2-9
- Package init

